name=PWMFreq
version=1.0.0
author=Jean-Luc Béchennec
maintainer=Jean-Luc Béchennec <Jean-Luc@locoduino.org>
sentence=Allows to change the frequency of the PWM on pins 3, 9, 10 and 11 of ATMega328 based Arduino boards.
paragraph=This library offers a unique function to set the PWM frequency. The prototype of the function is:<br/><br/>void setPWMFrequency(byte pins, byte frequency);<br/><br/>pins may have the following values: PINS_9_10 or PINS_3_11<br/>frequency may have the following values: PWM_32k, PWM_4k, PWM_1k, PWM_500, PWM_250, PWM_100 or PWM_30 for 32kHz, 4kHz, 1kHz, 500Hz, 250Hz, 100Hz or 30Hz.<br/>pins 9 and 10 cannot have a 1kHz or 250Hz frequency. If you try to set this set of pins to these frequencies, the clock is disconnected and the output is set to 0.
category=Timing
url=https://git.framasoft.org/locoduino.org/PWMFreq
architecture=avr
